help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Building 24.3 on CentOS release 5.8 (Final)?


From: Tim Visher
Subject: Re: Building 24.3 on CentOS release 5.8 (Final)?
Date: Tue, 17 Sep 2013 21:59:15 -0400

On Tue, Sep 17, 2013 at 4:36 PM, Glenn Morris <address@hidden> wrote:
> Tim Visher wrote:
>
>> I'm trying to get emacs 24.3 installed. That means, afaict, that I
>> need to build it from source.
>>
>> I followed these steps: http://pastebin.com/VYstcsYc
>
> That's tiny, why not just include the text in your message?

```
#!/usr/bin/env bash

yum -y groupinstall "Development Tools"

wget http://ftp.gnu.org/pub/gnu/ncurses/ncurses-5.9.tar.gz

tar xzf ncurses-5.9.tar.gz

cd ncurses-5.9 && ./configure && make && make install

cd ~ && git clone address@hidden:timvisher/.emacs.d.git

wget http://ftpmirror.gnu.org/emacs/emacs-24.3.tar.gz

tar -xzf emacs-24.3.tar.gz

cd emacs-24.3

./configure --without-x && make && make install
```

https://gist.github.com/timvisher/6603207

>> And am getting this error message: http://pastebin.com/UDGQnrwM
>
>   terminfo.c:50: undefined reference to `tparm'
>
> IIRC, the solution might be
>
>   yum install ncurses-devel
>
> (I think it's fixed in Emacs trunk.)

This didn't work, but I was able to add the step in the script above
to directly download and build ncurses.

> There's also
>
>   yum-builddep emacs
>
> as mentioned in INSTALL. Not sure it will work right in CentOS 5 though.

I was unable to get this to work. It always failed with something
along the lines of `no package emacs.src is defined`.

Thanks for your help!

--

In Christ,

Timmy V.

http://blog.twonegatives.com/
http://five.sentenc.es/ -- Spend less time on mail



reply via email to

[Prev in Thread] Current Thread [Next in Thread]